#pragma once

#include "../../../include/dv-processing/data/types.hpp"

#include <pybind11/pybind11.h>

namespace py = pybind11;

/**
 * @brief Bind CompressionType class to python
 * @param m pybind The module to bind to
 */
void bind_types(py::module &m) {
	py::class_<dv::types::Type>(m, "Type", "Structure describing a DV type")
		.def(py::init<>())
		.def_readonly("id", &dv::types::Type::id);
}
